package com.ghy.customer.service;

import com.ghy.customer.domain.CustomerBank;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 消费者银行卡
 *
 * @author HH 2022/5/20
 */
public interface CustomerBankService {

    /**
     * @param customerBank 消费者银行卡筛选条件
     * @return 符合结果消费者银行卡
     */
    List<CustomerBank> getCustomerBankList(CustomerBank customerBank);

    /**
     * 用消费者ID查银行卡信息
     *
     * @param customerId 消费者ID
     */
    CustomerBank selectByCustomerId(Long customerId);

    /**
     * 用消费者ID和部门ID查银行卡信息
     *
     * @param customerId 消费者ID
     * @param deptId     部门ID
     */
    List<CustomerBank> selectByCustomerIdAndDeptId(Long customerId, Long deptId);

    /**
     * @param customerBankId 消费者银行卡id
     * @return 消费者银行卡信息
     */
    CustomerBank selectByCustomerBankId(Long customerBankId);

    /**
     * @param customerBankIds 消费者银行卡ids
     * @return 删除成功条数
     */
    int deleteByIds(Long[] customerBankIds);

    /**
     * @param customerBankId 消费者银行卡id
     * @return 删除成功条数
     */
    int deleteByCustomerBankId(Long customerBankId);

    /**
     * @param customerBank 消费者银行卡对象
     * @return 入库成功条数
     */
    int insertCustomerBank(CustomerBank customerBank);

    /**
     * @param customerBank 消费者银行卡对象
     * @return 更新成功条数
     */
    int updateCustomerBank(CustomerBank customerBank);

    CustomerBank getByMemberId(String memberId);

    int updateByMemberId(CustomerBank customerBank);
}
